/**Begin D:\PDM\PDM_UPGRADE\pdm1\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_CHGHISTORY')
 CREATE TABLE T_FBD_COMPANY_CHGHISTORY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZID BIGINT DEFAULT 0 NOT NULL,
FAPPLYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ',
FBILLINFO NVARCHAR(255) DEFAULT ' ',
FBILLINFO_TAG NCLOB,
FSEQNUMBER INT DEFAULT 0 NOT NULL,
FLASTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FAPPLYBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISAPPLYCREATE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_CHG')
 CREATE TABLE T_FBD_COMPANY_CHG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHGDATE DATETIME,
FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHGREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLPK VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_CHG_L')
 CREATE TABLE T_FBD_COMPANY_CHG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHGREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_CHG_ENTRY_L')
 CREATE TABLE T_FBD_COMPANY_CHG_ENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNOTE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_CHG_ENTRY')
 CREATE TABLE T_FBD_COMPANY_CHG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHGFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOLDVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNEWVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINFOTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYFIELDNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_MANAGEPROP')
 CREATE TABLE T_FBD_COMPANY_MANAGEPROP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSELECTORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREGISTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FREGISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSSUGMENTSID BIGINT DEFAULT 0 NOT NULL,
FLISTED CHAR(1) DEFAULT '0' NOT NULL,
FLOGOUTDATE DATETIME,
FBUSSISTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISCHANGING CHAR(1) DEFAULT '0' NOT NULL,
FCONSOLIDATIONWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
FEQUITYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FUPWARDPROP VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_STOCK_ENTRY')
 CREATE TABLE T_FBD_COMPANY_STOCK_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGROUPINOUT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKRIGHT VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKRIGHTORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_COMPANY_MANAGEPROP_L')
 CREATE TABLE T_FBD_COMPANY_MANAGEPROP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\pdm1\FBD_table.sql **/
